diff -u -urN orinoco-0.06/orinoco_cs.c orinoco-0.06.te/orinoco_cs.c
--- orinoco-0.06/orinoco_cs.c	Thu Jun  7 16:30:31 2001
+++ orinoco-0.06.te/orinoco_cs.c	Wed Jun  6 15:38:43 2001
@@ -66,11 +66,14 @@
 /* Some D-Link cards have buggy CIS. They do work at 5v properly, but
  * don't have any CIS entry for it. This workaround it... */
 static int ignore_cis_vcc = 0;
+/* Control device name allocation. 0 -> dldwdX ; 1 -> ethX */
+static int eth = 1;
 
 MODULE_PARM(irq_mask, "i");
 MODULE_PARM(irq_list, "1-4i");
 MODULE_PARM(reset_cor, "i");
 MODULE_PARM(ignore_cis_vcc, "i");
+MODULE_PARM(eth, "i");
 
 /*
  * Function prototypes
@@ -584,14 +587,27 @@
 	ndev->base_addr = link->io.BasePort1;
 	ndev->irq = link->irq.AssignedIRQ;
 
-	/* register_netdev will give us an ethX name */
-	ndev->name[0] = '\0';
+	/* Instance name : by default, use hermesX, on demand use the
+	* regular ethX (less risky) - Jean II */
+	if(!eth)
+		sprintf(ndev->name, "wvlan%d", card->instance);
+	else
+		ndev->name[0] = '\0';
 	/* Tell the stack we exist */
 	if (register_netdev(ndev) != 0) {
 		printk(KERN_ERR "orinoco_cs: register_netdev() failed\n");
 		goto failed;
 	}
 	strcpy(card->node.dev_name, ndev->name);
+ 
+//	/* register_netdev will give us an ethX name */
+//	ndev->name[0] = '\0';
+//	/* Tell the stack we exist */
+//	if (register_netdev(ndev) != 0) {
+//		printk(KERN_ERR "orinoco_cs: register_netdev() failed\n");
+//		goto failed;
+//	}
+//	strcpy(card->node.dev_name, ndev->name);
 
 	/* Finally, report what we've done */
 	printk(KERN_INFO "%s: index 0x%02x: Vcc %d.%d",
@@ -781,11 +797,11 @@
 	DEBUG(0, "%s\n", version);
 
 	CardServices(GetCardServicesInfo, &serv);
-	if (serv.Revision != CS_RELEASE_CODE) {
-		printk(KERN_NOTICE "orinoco_cs: Card Services release "
-		       "does not match!\n");
-		return -1;
-	}
+//	if (serv.Revision != CS_RELEASE_CODE) {
+//		printk(KERN_NOTICE "orinoco_cs: Card Services release "
+//		       "does not match!\n");
+//		return -1;
+//	}
 
 	register_pccard_driver(&dev_info, &dldwd_cs_attach, &dldwd_cs_detach);
 
